summaryrefslogtreecommitdiffstats
path: root/tests/acceptance/installAndConfigureServer.sh
diff options
context:
space:
mode:
authorRoeland Jago Douma <rullzer@users.noreply.github.com>2017-04-21 20:53:32 +0200
committerGitHub <noreply@github.com>2017-04-21 20:53:32 +0200
commiteaa6f766e694f08e899c9469f668135c5d7b0c34 (patch)
treeea64cf5715f41ad8f05f1fb0149af0ff16f15035 /tests/acceptance/installAndConfigureServer.sh
parent867b3ee234b91ce5fbbbf3b81a5bcce59a0179a3 (diff)
parente970b5261fd0ae126db788d514ab4c7770688356 (diff)
downloadnextcloud-server-eaa6f766e694f08e899c9469f668135c5d7b0c34.tar.gz
nextcloud-server-eaa6f766e694f08e899c9469f668135c5d7b0c34.zip
Merge pull request #4208 from danxuliu/add-basic-acceptance-test-system
Add basic acceptance test system
Diffstat (limited to 'tests/acceptance/installAndConfigureServer.sh')
-rwxr-xr-xtests/acceptance/installAndConfigureServer.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/acceptance/installAndConfigureServer.sh b/tests/acceptance/installAndConfigureServer.sh
new file mode 100755
index 00000000000..2fbdf821f77
--- /dev/null
+++ b/tests/acceptance/installAndConfigureServer.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# @copyright Copyright (c) 2017, Daniel Calviño Sánchez (danxuliu@gmail.com)
+#
+# @license GNU AGPL version 3 or any later version
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Helper script to install and configure the Nextcloud server as expected by the
+# acceptance tests.
+#
+# This script is not meant to be called manually; it is called when needed by
+# the acceptance tests launchers.
+
+set -o errexit
+
+php occ maintenance:install --admin-pass=admin
+
+OC_PASS=123456acb php occ user:add --password-from-env user0